---
title: uuid
slug: Web/API/BluetoothRemoteGATTDescriptor/uuid
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTDescriptor
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - uuid
---
<p>{{APIRef("Web Bluetooth API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTDescriptor.uuid</code></strong> read-only property returns the UUID of the characteristic descriptor, for example '<code>00002902-0000-1000-8000-00805f9b34fb</code>' for theClient Characteristic Configuration descriptor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>uuid</em> = <code>BluetoothRemoteGATTDescriptor</code>.uuid</pre>

<h3 id="Returns">Returns</h3>

<p>A UUID.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth','#dom-bluetoothremotegattdescriptor-uuid','uuid')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BluetoothRemoteGATTDescriptor.uuid")}}</p>
</div>
